Bug 1303105 - Docker does not own /usr/lib/docker-storage-setup
Docker does not own /usr/lib/docker-storage-setup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Antonio Murdaca
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 10:00 EST by Eric Paris
Modified: 2016-06-09 22:26 EDT (History)
12 users (show)

See Also:
Fixed In Version: docker-1.10.3-24.gitf476348.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1303110 (view as bug list)
Environment:
Last Closed: 2016-06-09 22:26:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2016-01-29 10:00:41 EST
docker-1.9.1-6.git6ec29ef.fc23.x86_64

# rpm -qf /usr/lib/docker-storage-setup/
file /usr/lib/docker-storage-setup is not owned by any package

# rpm -qf /usr/lib/docker-storage-setup/docker-storage-setup 
docker-1.9.1-6.git6ec29ef.fc23.x86_64

I believe the directory should be listed in the files so it will be cleaned up on rpm removal. No?
Comment 1 Lokesh Mandvekar 2016-01-29 10:09:55 EST
yup, i see the files in the dir were listed but the dir itself wasn't. I'll add that, thanks!
Comment 2 Antonio Murdaca 2016-02-24 05:04:51 EST
Fixed in docker-1.10.2-4.git0f5ac89
Comment 3 Fedora Update System 2016-04-28 10:01:04 EDT
docker-1.10.3-15.git964eda6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b59d274e19
Comment 4 Fedora Update System 2016-05-02 05:22:33 EDT
docker-1.10.3-16.gita41254f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-87f810b0f5
Comment 5 Fedora Update System 2016-05-03 05:27:25 EDT
docker-1.10.3-16.gita41254f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-87f810b0f5
Comment 6 Fedora Update System 2016-05-05 05:41:30 EDT
docker-1.10.3-17.gitbba2d6d.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c7e793ee33
Comment 7 Fedora Update System 2016-05-05 10:05:09 EDT
docker-1.10.3-18.git667d6d1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a1fb10a39
Comment 8 Fedora Update System 2016-05-06 16:56:39 EDT
docker-1.10.3-18.git667d6d1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a1fb10a39
Comment 9 Fedora Update System 2016-05-20 06:35:32 EDT
docker-1.10.3-19.git8ecd47f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd133dc2e9
Comment 10 Fedora Update System 2016-05-20 22:26:05 EDT
docker-1.10.3-19.git8ecd47f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd133dc2e9
Comment 11 Fedora Update System 2016-05-24 12:45:17 EDT
docker-1.10.3-20.git8ecd47f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-373d4f6308
Comment 12 Fedora Update System 2016-05-26 01:02:08 EDT
docker-1.10.3-20.git8ecd47f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-373d4f6308
Comment 13 Fedora Update System 2016-05-26 14:28:00 EDT
docker-1.10.3-21.git8ecd47f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5cdae8c6f
Comment 14 Fedora Update System 2016-05-27 23:25:40 EDT
docker-1.10.3-21.git8ecd47f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5cdae8c6f
Comment 15 Fedora Update System 2016-05-30 13:36:10 EDT
docker-1.10.3-22.git4158ccc.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6472a8cdc7
Comment 16 Fedora Update System 2016-05-31 05:52:36 EDT
docker-1.10.3-22.git4158ccc.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6472a8cdc7
Comment 17 Fedora Update System 2016-06-01 05:01:48 EDT
docker-1.10.3-23.gitf476348.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d73f74a557
Comment 18 Fedora Update System 2016-06-01 10:52:56 EDT
docker-1.10.3-24.gitf476348.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a0d540088
Comment 19 Fedora Update System 2016-06-02 12:22:59 EDT
docker-1.10.3-24.gitf476348.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a0d540088
Comment 20 Fedora Update System 2016-06-09 22:25:55 EDT
docker-1.10.3-24.gitf476348.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.